
class CarTax {

   private boolean valid;
   private int yearOfManufacture; 
   private int co2Pollution;
   private int tax;

   CarTax(int year) {
      if (year>=1900) {
         valid = true;
         yearOfManufacture = year;
      } else
         valid = false;
      co2Pollution = -1000;
      tax = -1;
   }

   public void setCO2(int rating) {
      if (valid)
         co2Pollution = rating * 1000;
   }

   public int getCO2() {
      return co2Pollution / 1000;
   }

   public int getManufactureYear() {
      if (valid)
         return yearOfManufacture;
      else
         return -1;
   }

   public int readAndZeroTax() {
      int temp = tax;
      tax = 0;
      return temp;
   }

   public int calculateTax(boolean newSystem) {
      if (valid)
         if ( (yearOfManufacture<=2010) || 
              ( (yearOfManufacture>2010) && (newSystem) ) )
            if (newSystem)
               tax = 10 * (co2Pollution/1000);
            else
               tax = 3000;         
      return tax;
   }

}